Bug 1268937 - Drupal should require 'php(httpd)' rather then 'php'
Drupal should require 'php(httpd)' rather then 'php'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: drupal7 (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 13:08 EDT by Ivan Afonichev
Modified: 2017-03-15 10:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-15 10:16:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to require php(httpd) (1.26 KB, application/mbox)
2015-10-05 13:08 EDT, Ivan Afonichev
no flags Details

  None (edit)
Description Ivan Afonichev 2015-10-05 13:08:20 EDT
Created attachment 1080012 [details]
Patch to require php(httpd)

Description of problem:
Trying to install drupal7 on nginx+php-fpm system it requires php and httpd.





Steps to Reproduce:
1. Install php-fpm
2. dnf install drupal7

Actual results:

[root@oec-nginx ~]# dnf install drupal7
Last metadata expiration check performed 2:06:43 ago on Mon Oct  5 14:42:59 2015.
Dependencies resolved.
=================================================================================================================================
 Package                              Arch                     Version                           Repository                 Size
=================================================================================================================================
Installing:
 apr                                  x86_64                   1.5.1-3.fc22                      fedora                    111 k
 apr-util                             x86_64                   1.5.4-1.fc22                      fedora                     96 k
 drupal7                              noarch                   7.39-1.fc22                       updates                   2.9 M
 fedora-logos-httpd                   noarch                   22.0.0-1.fc22                     fedora                     33 k
 httpd                                x86_64                   2.4.16-1.fc22                     updates                   1.3 M
 httpd-tools                          x86_64                   2.4.16-1.fc22                     updates                    88 k
 libpsl                               x86_64                   0.7.0-5.fc22                      updates                    52 k
 php                                  x86_64                   5.6.13-1.fc22                     updates                   2.6 M
 php-gd                               x86_64                   5.6.13-1.fc22                     updates                    97 k
 wget                                 x86_64                   1.16.3-1.fc22                     fedora                    577 k

Transaction Summary
=================================================================================================================================
Install  10 Packages

Total download size: 7.8 M
Installed size: 30 M
Is this ok [y/N]: N
Operation aborted.
[root@oec-nginx ~]# dnf install 'php(httpd)'
Last metadata expiration check performed 2:06:49 ago on Mon Oct  5 14:42:59 2015.
Package php-fpm-5.6.13-1.fc22.x86_64 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!


Expected results:

it shouldn't require httpd.

Additional info:
Comment 1 Jan Kurik 2016-02-24 08:48:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Note You need to log in before you can comment on or make changes to this bug.